#armor stands

##armor swap

execute as @a[predicate=vu:sneaking,nbt=!{SelectedItem:{}}] at @s as @e[type=armor_stand,limit=1,sort=nearest,distance=..5,nbt={Glowing:1b}] at @s unless entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=armor.swap] run summon interaction ~ ~ ~ {height:1.9f,width:0.8f,Tags:["armor.swap"]}
execute as @a[predicate=vu:sneaking,nbt=!{SelectedItem:{}}] at @s as @e[type=armor_stand,limit=1,sort=nearest,distance=..5,nbt={Glowing:1b}] at @s unless entity @e[type=armor_stand,limit=1,sort=nearest,distance=..0.5,tag=armor.swap.placeholder] run summon armor_stand ~ ~ ~ {Tags:["armor.swap.placeholder"],NoGravity:1b,Invisible:1b}
execute as @a[predicate=!vu:sneaking] at @s as @e[type=armor_stand,limit=1,sort=nearest,distance=..5,nbt={Glowing:1b}] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=armor.swap] run kill @e[tag=armor.swap,type=interaction,limit=1,sort=nearest,distance=..0.5]
execute as @a[predicate=!vu:sneaking] at @s as @e[type=armor_stand,limit=1,sort=nearest,distance=..5,nbt={Glowing:1b}] at @s if entity @e[type=armor_stand,limit=1,sort=nearest,distance=..0.5,tag=armor.swap.placeholder] run kill @e[tag=armor.swap.placeholder,type=armor_stand,limit=1,sort=nearest,distance=..0.5]
execute as @e[tag=armor.swap,type=interaction] at @s if data entity @s interaction on target if data entity @s SelectedItem as @e[tag=armor.swap,type=interaction,limit=1,sort=nearest,distance=..0.1] run kill @s
execute as @e[tag=armor.swap,type=interaction] at @s if data entity @s interaction on target run function vu:armor/armor_swap
execute as @e[tag=armor.swap,type=interaction] at @s if data entity @s interaction run data merge entity @e[limit=1,sort=nearest,type=armor_stand,tag=armor.swap.placeholder] {ArmorItems:[{},{},{},{}]}
execute as @e[tag=armor.swap,type=interaction] at @s if data entity @s interaction run data remove entity @s interaction

execute as @a[predicate=vu:sneaking,nbt=!{SelectedItem:{}}] at @s run data merge entity @e[type=armor_stand,limit=1,sort=nearest,distance=..5] {Glowing:1b}
execute as @e[type=armor_stand,nbt={Glowing:1b}] at @s unless entity @a[predicate=vu:sneaking,distance=..5] run data merge entity @s {Glowing:0b}

##armor arms

execute as @a[nbt={SelectedItem:{id:"minecraft:stick"}},predicate=vu:morethan1] at @s as @e[type=armor_stand,limit=1,sort=nearest,distance=..4,nbt=!{ShowArms:1b}] at @s unless entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=armor.arms] run summon interaction ~ ~ ~ {height:1.9f,width:0.8f,Tags:["armor.arms"]}
execute as @a at @s as @e[type=armor_stand,limit=1,sort=nearest,distance=..4,nbt={ShowArms:1b}] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=armor.arms] run kill @e[type=interaction,tag=armor.arms,limit=1,sort=nearest]
execute as @e[tag=armor.arms] at @s if data entity @s interaction run function vu:armor/armor_arms

execute as @a[nbt={SelectedItem:{id:"minecraft:stick"}},predicate=vu:lessthan63] at @s as @e[type=armor_stand,limit=1,sort=nearest,distance=..4,nbt={ShowArms:1b}] at @s unless entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=armor.arms.add] run summon interaction ~ ~ ~ {height:1.9f,width:0.8f,Tags:["armor.arms.add"]}
execute as @a at @s as @e[type=armor_stand,limit=1,sort=nearest,distance=..4,nbt=!{ShowArms:1b}] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=armor.arms.add] run kill @e[type=interaction,tag=armor.arms.add,limit=1,sort=nearest]

execute as @e[tag=armor.arms.add] at @s if data entity @s interaction run function vu:armor/armor_arms.add

##armor base plate

execute as @a[nbt={SelectedItem:{id:"minecraft:smooth_stone_slab"}},predicate=vu:lessthan64] at @s as @e[type=armor_stand,limit=1,sort=nearest,distance=..4,nbt=!{NoBasePlate:1b}] at @s unless entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=armor.plate] run summon interaction ~ ~ ~ {height:1.9f,width:0.8f,Tags:["armor.plate"]}
execute as @a at @s as @e[type=armor_stand,limit=1,sort=nearest,distance=..4,nbt={NoBasePlate:1b}] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=armor.plate] run kill @e[type=interaction,tag=armor.plate,limit=1,sort=nearest]

execute as @e[tag=armor.plate] at @s if data entity @s interaction run function vu:armor/armor_plate

execute as @a[nbt={SelectedItem:{id:"minecraft:smooth_stone_slab"}}] at @s as @e[type=armor_stand,limit=1,sort=nearest,distance=..4,nbt={NoBasePlate:1b}] at @s unless entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=armor.base] run summon interaction ~ ~ ~ {height:1.9f,width:0.8f,Tags:["armor.base"]}
execute as @a at @s as @e[type=armor_stand,limit=1,sort=nearest,distance=..4,nbt=!{NoBasePlate:1b}] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=armor.base] run kill @e[type=interaction,tag=armor.base,limit=1,sort=nearest]

execute as @e[tag=armor.base] at @s if data entity @s interaction run function vu:armor/armor_base

##armor invisible

execute as @a[nbt={SelectedItem:{id:"minecraft:potion",tag:{Potion:"minecraft:invisibility"}}}] at @s as @e[type=armor_stand,limit=1,sort=nearest,distance=..4,nbt=!{Invisible:1b}] at @s unless entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=armor.invisible] run summon interaction ~ ~ ~ {height:1.9f,width:0.8f,Tags:["armor.invisible"]}
execute as @a at @s as @e[type=armor_stand,limit=1,sort=nearest,distance=..4,nbt={Invisible:1b}] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=armor.invisible] run kill @e[type=interaction,tag=armor.invisible,limit=1,sort=nearest]

execute as @e[tag=armor.invisible] at @s if data entity @s interaction run function vu:armor/armor_invisible

execute as @a[nbt={SelectedItem:{id:"minecraft:glass_bottle"}}] at @s as @e[type=armor_stand,limit=1,sort=nearest,distance=..4,nbt={Invisible:1b}] at @s unless entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=armor.invisible.off] run summon interaction ~ ~ ~ {height:1.9f,width:0.8f,Tags:["armor.invisible.off"]}
execute as @a at @s as @e[type=armor_stand,limit=1,sort=nearest,distance=..4,nbt=!{Invisible:1b}] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=armor.invisible.off] run kill @e[type=interaction,tag=armor.invisible.off,limit=1,sort=nearest]

execute as @e[tag=armor.invisible.off] at @s if data entity @s interaction run function vu:armor/armor_invisible.off

#raycast

execute as @a[nbt={SelectedItem:{id:"minecraft:moss_block"}}] at @s anchored eyes positioned ^ ^ ^ run function vu:ray/start_ray.cauldron_s
execute as @a[predicate=vu:leaves] at @s anchored eyes positioned ^ ^ ^ run function vu:ray/start_ray.cauldron_m
execute as @a[predicate=vu:concrete] at @s anchored eyes positioned ^ ^ ^ run function vu:ray/start_ray.cauldron_c
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_block"}}] at @s anchored eyes positioned ^ ^ ^ run function vu:ray/start_ray.anvil
execute as @a[nbt={SelectedItem:{id:"minecraft:shears"}}] at @s anchored eyes positioned ^ ^ ^ run function vu:ray/start_ray.shears
execute as @a[nbt={SelectedItem:{id:"minecraft:vine"}}] at @s anchored eyes positioned ^ ^ ^ run function vu:ray/start_ray.vine
execute as @a[nbt={SelectedItem:{id:"minecraft:bucket"}}] at @s anchored eyes positioned ^ ^ ^ run function vu:ray/start_ray.sponge
execute as @a[nbt={SelectedItem:{id:"minecraft:slime_block"}}] at @s anchored eyes positioned ^ ^ ^ run function vu:ray/start_ray.end_pearl
execute as @a[predicate=vu:banners,predicate=vu:sneaking] at @s anchored eyes positioned ^ ^ ^ run function vu:ray/start_ray.banners

#anvil

execute as @e[tag=anvil.int] at @s if data entity @s interaction on target if block ~ ~ ~ damaged_anvil[facing=east] if entity @s[nbt={SelectedItem:{id:"minecraft:iron_block"}}] run setblock ~ ~ ~ chipped_anvil[facing=east]
execute as @e[tag=anvil.int] at @s if data entity @s interaction on target if block ~ ~ ~ damaged_anvil[facing=north] if entity @s[nbt={SelectedItem:{id:"minecraft:iron_block"}}] run setblock ~ ~ ~ chipped_anvil[facing=north]
execute as @e[tag=anvil.int] at @s if data entity @s interaction on target if block ~ ~ ~ damaged_anvil[facing=south] if entity @s[nbt={SelectedItem:{id:"minecraft:iron_block"}}] run setblock ~ ~ ~ chipped_anvil[facing=south]
execute as @e[tag=anvil.int] at @s if data entity @s interaction on target if block ~ ~ ~ damaged_anvil[facing=west] if entity @s[nbt={SelectedItem:{id:"minecraft:iron_block"}}] run setblock ~ ~ ~ chipped_anvil[facing=west]
execute as @e[tag=anvil.inte] at @s if data entity @s interaction on target if block ~ ~ ~ chipped_anvil[facing=east] if entity @s[nbt={SelectedItem:{id:"minecraft:iron_block"}}] run setblock ~ ~ ~ anvil[facing=east]
execute as @e[tag=anvil.inte] at @s if data entity @s interaction on target if block ~ ~ ~ chipped_anvil[facing=north] if entity @s[nbt={SelectedItem:{id:"minecraft:iron_block"}}] run setblock ~ ~ ~ anvil[facing=north]
execute as @e[tag=anvil.inte] at @s if data entity @s interaction on target if block ~ ~ ~ chipped_anvil[facing=south] if entity @s[nbt={SelectedItem:{id:"minecraft:iron_block"}}] run setblock ~ ~ ~ anvil[facing=south]
execute as @e[tag=anvil.inte] at @s if data entity @s interaction on target if block ~ ~ ~ chipped_anvil[facing=west] if entity @s[nbt={SelectedItem:{id:"minecraft:iron_block"}}] run setblock ~ ~ ~ anvil[facing=west]

execute as @e[tag=anvil.int] at @s if data entity @s interaction on target if entity @s[nbt={SelectedItem:{id:"minecraft:iron_block"}}] at @s run item modify entity @s weapon.mainhand vu:count-1
execute as @e[tag=anvil.int] at @s if data entity @s interaction run kill @s
execute as @e[tag=anvil.inte] at @s if data entity @s interaction on target if entity @s[nbt={SelectedItem:{id:"minecraft:iron_block"}}] at @s run item modify entity @s weapon.mainhand vu:count-1
execute as @e[tag=anvil.inte] at @s if data entity @s interaction run kill @s

#cauldron

execute as @a[scores={slime_ball_crafting=3}] run tellraw @a [{"text": "[","color": "dark_gray"},{"text": "VanillaUtilities","color": "gray"},{"text": "] ","color": "dark_gray"},{"text": "Slime Ball Crafting Turned ","color": "white"},{"text": "OFF","color": "dark_red","bold": true},{"text": " For ","color": "white"},{"selector":"@s","bold": true,"color": "gray"}]
execute as @a[scores={slime_ball_crafting=1}] run tellraw @a [{"text": "[","color": "dark_gray"},{"text": "VanillaUtilities","color": "gray"},{"text": "] ","color": "dark_gray"},{"text": "Slime Ball Crafting Turned ","color": "white"},{"text": "ON","color": "dark_green","bold": true},{"text": " For ","color": "white"},{"selector":"@s","bold": true,"color": "gray"}]

execute as @a[scores={slime_ball_crafting=1}] run scoreboard players set @s slime_ball_crafting 2
execute as @a[scores={slime_ball_crafting=3..}] run scoreboard players set @s slime_ball_crafting 0

execute as @e[tag=slime.moss] at @s if data entity @s interaction run function vu:cauldron/m_to_s
execute as @e[tag=slime.leaves] at @s if data entity @s interaction run function vu:cauldron/l_to_m
execute as @e[tag=concrete] at @s if data entity @s interaction run function vu:cauldron/concrete

#item frames

##item frame

execute as @a[predicate=vu:sneaking,nbt={SelectedItem:{id:"minecraft:shears"}}] at @s as @e[type=item_frame,sort=nearest,distance=..4] run data merge entity @s {Glowing:1b}
execute as @a[predicate=!vu:sneaking] at @s as @e[type=item_frame,sort=nearest,distance=..4,nbt={Glowing:1b}] run data merge entity @s {Glowing:0b}

execute as @a[nbt={SelectedItem:{id:"minecraft:shears"}},predicate=vu:sneaking] at @s as @e[type=item_frame,sort=nearest,distance=..4,nbt=!{Invisible:1b}] at @s unless entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=frame.normal] run summon interaction ~ ~-0.375 ~ {height:0.75f,width:0.75f,Tags:["frame.normal"]}
execute as @a[nbt=!{SelectedItem:{id:"minecraft:shears"}},predicate=!vu:sneaking] at @s as @e[type=item_frame,sort=nearest,distance=..4] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=frame.normal] run kill @e[type=interaction,tag=frame.normal,limit=1,sort=nearest]
execute as @a[nbt=!{SelectedItem:{id:"minecraft:shears"}},predicate=vu:sneaking] at @s as @e[type=item_frame,sort=nearest,distance=..4] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=frame.normal] run kill @e[type=interaction,tag=frame.normal,limit=1,sort=nearest]
execute as @a[nbt={SelectedItem:{id:"minecraft:shears"}},predicate=!vu:sneaking] at @s as @e[type=item_frame,sort=nearest,distance=..4] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=frame.normal] run kill @e[type=interaction,tag=frame.normal,limit=1,sort=nearest]

execute as @e[tag=frame.normal] at @s if data entity @s interaction run function vu:item_frame/normal

execute as @a[predicate=vu:sneaking,nbt={SelectedItem:{id:"minecraft:glow_ink_sac"}}] at @s as @e[type=item_frame,sort=nearest,distance=..4] run data merge entity @s {Glowing:1b}
execute as @a[predicate=!vu:sneaking] at @s as @e[type=item_frame,sort=nearest,distance=..4,nbt={Glowing:1b}] run data merge entity @s {Glowing:0b}

execute as @a[nbt={SelectedItem:{id:"minecraft:glow_ink_sac"}},predicate=vu:sneaking] at @s as @e[type=item_frame,sort=nearest,distance=..4,nbt={Invisible:1b}] at @s unless entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=frame.normal.off] run summon interaction ~ ~-0.375 ~ {height:0.75f,width:0.75f,Tags:["frame.normal.off"]}
execute as @a[nbt=!{SelectedItem:{id:"minecraft:glow_ink_sac"}},predicate=!vu:sneaking] at @s as @e[type=item_frame,sort=nearest,distance=..4] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=frame.normal.off] run kill @e[type=interaction,tag=frame.normal.off,limit=1,sort=nearest]
execute as @a[nbt=!{SelectedItem:{id:"minecraft:glow_ink_sac"}},predicate=vu:sneaking] at @s as @e[type=item_frame,sort=nearest,distance=..4] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=frame.normal.off] run kill @e[type=interaction,tag=frame.normal.off,limit=1,sort=nearest]
execute as @a[nbt={SelectedItem:{id:"minecraft:glow_ink_sac"}},predicate=!vu:sneaking] at @s as @e[type=item_frame,sort=nearest,distance=..4] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=frame.normal.off] run kill @e[type=interaction,tag=frame.normal.off,limit=1,sort=nearest]

execute as @e[tag=frame.normal.off] at @s if data entity @s interaction run function vu:item_frame/normal.off

##glowing item frame

execute as @a[predicate=vu:sneaking,nbt={SelectedItem:{id:"minecraft:shears"}}] at @s as @e[type=glow_item_frame,sort=nearest,distance=..4] run data merge entity @s {Glowing:1b}
execute as @a[predicate=!vu:sneaking] at @s as @e[type=glow_item_frame,sort=nearest,distance=..4,nbt={Glowing:1b}] run data merge entity @s {Glowing:0b}

execute as @a[nbt={SelectedItem:{id:"minecraft:shears"}},predicate=vu:sneaking] at @s as @e[type=glow_item_frame,sort=nearest,distance=..4,nbt=!{Invisible:1b}] at @s unless entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=frame.normal] run summon interaction ~ ~-0.375 ~ {height:0.75f,width:0.75f,Tags:["frame.glow"]}
execute as @a[nbt=!{SelectedItem:{id:"minecraft:shears"}},predicate=!vu:sneaking] at @s as @e[type=glow_item_frame,sort=nearest,distance=..4] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=frame.glow] run kill @e[type=interaction,tag=frame.glow,limit=1,sort=nearest]
execute as @a[nbt=!{SelectedItem:{id:"minecraft:shears"}},predicate=vu:sneaking] at @s as @e[type=glow_item_frame,sort=nearest,distance=..4] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=frame.glow] run kill @e[type=interaction,tag=frame.glow,limit=1,sort=nearest]
execute as @a[nbt={SelectedItem:{id:"minecraft:shears"}},predicate=!vu:sneaking] at @s as @e[type=glow_item_frame,sort=nearest,distance=..4] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=frame.glow] run kill @e[type=interaction,tag=frame.glow,limit=1,sort=nearest]

execute as @e[tag=frame.glow] at @s if data entity @s interaction run function vu:item_frame/glow

execute as @a[predicate=vu:sneaking,nbt={SelectedItem:{id:"minecraft:glow_ink_sac"}}] at @s as @e[type=glow_item_frame,sort=nearest,distance=..4] run data merge entity @s {Glowing:1b}
execute as @a[predicate=!vu:sneaking] at @s as @e[type=glow_item_frame,sort=nearest,distance=..4,nbt={Glowing:1b}] run data merge entity @s {Glowing:0b}

execute as @a[nbt={SelectedItem:{id:"minecraft:glow_ink_sac"}},predicate=vu:sneaking] at @s as @e[type=glow_item_frame,sort=nearest,distance=..4,nbt={Invisible:1b}] at @s unless entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=frame.glow.off] run summon interaction ~ ~-0.375 ~ {height:0.75f,width:0.75f,Tags:["frame.glow.off"]}
execute as @a[nbt=!{SelectedItem:{id:"minecraft:glow_ink_sac"}},predicate=!vu:sneaking] at @s as @e[type=glow_item_frame,sort=nearest,distance=..4] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=frame.glow.off] run kill @e[type=interaction,tag=frame.glow.off,limit=1,sort=nearest]
execute as @a[nbt=!{SelectedItem:{id:"minecraft:glow_ink_sac"}},predicate=vu:sneaking] at @s as @e[type=glow_item_frame,sort=nearest,distance=..4] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=frame.glow.off] run kill @e[type=interaction,tag=frame.glow.off,limit=1,sort=nearest]
execute as @a[nbt={SelectedItem:{id:"minecraft:glow_ink_sac"}},predicate=!vu:sneaking] at @s as @e[type=glow_item_frame,sort=nearest,distance=..4] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=frame.glow.off] run kill @e[type=interaction,tag=frame.glow.off,limit=1,sort=nearest]

execute as @e[tag=frame.glow.off] at @s if data entity @s interaction run function vu:item_frame/glow.off

#pig saddle

execute as @a[nbt=!{SelectedItem:{}},predicate=vu:sneaking] at @s as @e[type=pig,limit=1,sort=nearest,distance=..4,nbt={Saddle:1b}] at @s unless entity @e[type=interaction,limit=1,sort=nearest,distance=..1,tag=pig.saddle] run summon interaction ~ ~ ~ {height:1f,width:1f,Tags:["pig.saddle"]}
execute as @a at @s as @e[type=pig,limit=1,sort=nearest,distance=..4,nbt=!{Saddle:1b}] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=pig.saddle] run kill @e[type=interaction,tag=pig.saddle,limit=1,sort=nearest]
execute as @a[nbt=!{SelectedItem:{}},predicate=!vu:sneaking] at @s as @e[type=pig,limit=1,sort=nearest,distance=..4,nbt={Saddle:1b}] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=pig.saddle] run kill @e[type=interaction,tag=pig.saddle,limit=1,sort=nearest]
execute as @a[nbt={SelectedItem:{}},predicate=vu:sneaking] at @s as @e[type=pig,limit=1,sort=nearest,distance=..4,nbt={Saddle:1b}] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=pig.saddle] run kill @e[type=interaction,tag=pig.saddle,limit=1,sort=nearest]

execute as @e[tag=pig.saddle] at @s if data entity @s interaction run function vu:mobs/pig

execute as @e[type=pig] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.75,tag=pig.saddle] run tp @e[type=interaction,tag=pig.saddle,limit=1,sort=nearest] @s

#chicken feather

execute as @a[scores={low_loot=1..}] run function vu:feathers

execute as @a[nbt=!{SelectedItem:{}},predicate=vu:sneaking] at @s as @e[type=chicken,limit=1,sort=nearest,distance=..4] at @s unless entity @e[type=interaction,limit=1,sort=nearest,distance=..1,tag=chicken.feather] run summon interaction ~ ~ ~ {height:0.75f,width:0.5f,Tags:["chicken.feather"]}
execute as @a[predicate=!vu:sneaking] at @s as @e[type=chicken,limit=1,sort=nearest,distance=..4] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=chicken.feather] run kill @e[type=interaction,tag=chicken.feather,limit=1,sort=nearest]
execute as @a[nbt={SelectedItem:{}}] at @s as @e[type=chicken,limit=1,sort=nearest,distance=..4] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=chicken.feather] run kill @e[type=interaction,tag=chicken.feather,limit=1,sort=nearest]

execute as @e[tag=chicken.feather] at @s if data entity @s interaction run function vu:mobs/chicken

execute as @e[type=chicken] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.75,tag=chicken.feather] run tp @e[type=interaction,tag=chicken.feather,limit=1,sort=nearest] @s

#cow leather

execute as @a[nbt={SelectedItem:{id:"minecraft:shears"}},predicate=vu:sneaking] at @s as @e[type=cow,limit=1,sort=nearest,distance=..4] at @s unless entity @e[type=interaction,limit=1,sort=nearest,distance=..1,tag=cow.leather] run summon interaction ~ ~ ~ {height:1.4f,width:1f,Tags:["cow.leather"]}
execute as @a[predicate=!vu:sneaking] at @s as @e[type=cow,limit=1,sort=nearest,distance=..4] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=cow.leather] run kill @e[type=interaction,tag=cow.leather,limit=1,sort=nearest]
execute as @a[nbt=!{SelectedItem:{id:"minecraft:shears"}}] at @s as @e[type=cow,limit=1,sort=nearest,distance=..4] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=cow.leather] run kill @e[type=interaction,tag=cow.leather,limit=1,sort=nearest]

execute as @e[tag=cow.leather] at @s if data entity @s interaction run function vu:mobs/cow

execute as @e[type=cow] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.75,tag=cow.leather] run tp @e[type=interaction,tag=cow.leather,limit=1,sort=nearest] @s

#strider saddle

execute as @a[nbt=!{SelectedItem:{}},predicate=vu:sneaking] at @s as @e[type=strider,limit=1,sort=nearest,distance=..4,nbt={Saddle:1b}] at @s unless entity @e[type=interaction,limit=1,sort=nearest,distance=..1,tag=strider.saddle] run summon interaction ~ ~ ~ {height:1.7f,width:1f,Tags:["strider.saddle"]}
execute as @a at @s as @e[type=strider,limit=1,sort=nearest,distance=..4,nbt=!{Saddle:1b}] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=strider.saddle] run kill @e[type=interaction,tag=strider.saddle,limit=1,sort=nearest]
execute as @a[nbt=!{SelectedItem:{}},predicate=!vu:sneaking] at @s as @e[type=strider,limit=1,sort=nearest,distance=..4,nbt={Saddle:1b}] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=strider.saddle] run kill @e[type=interaction,tag=strider.saddle,limit=1,sort=nearest]
execute as @a[nbt={SelectedItem:{}},predicate=vu:sneaking] at @s as @e[type=strider,limit=1,sort=nearest,distance=..4,nbt={Saddle:1b}] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.5,tag=strider.saddle] run kill @e[type=interaction,tag=strider.saddle,limit=1,sort=nearest]

execute as @e[tag=strider.saddle] at @s if data entity @s interaction run function vu:mobs/strider

execute as @e[type=strider] at @s if entity @e[type=interaction,limit=1,sort=nearest,distance=..0.75,tag=strider.saddle] run tp @e[type=interaction,tag=strider.saddle,limit=1,sort=nearest] @s

#ladders

execute as @a[nbt={SelectedItem:{id:"minecraft:ladder"}}] at @s anchored eyes positioned ^ ^ ^1 align xyz if block ~ ~ ~ ladder if block ~ ~-1 ~ air unless entity @e[limit=1,sort=nearest,tag=ladder,distance=..1] run summon interaction ~0.5 ~ ~0.5 {Tags:["ladder"]}
execute as @a[nbt={SelectedItem:{id:"minecraft:ladder"}}] at @s anchored eyes positioned ^ ^ ^2 align xyz if block ~ ~ ~ ladder if block ~ ~-1 ~ air unless entity @e[limit=1,sort=nearest,tag=ladder,distance=..1] run summon interaction ~0.5 ~ ~0.5 {Tags:["ladder"]}
execute as @a[nbt={SelectedItem:{id:"minecraft:ladder"}}] at @s anchored eyes positioned ^ ^ ^3 align xyz if block ~ ~ ~ ladder if block ~ ~-1 ~ air unless entity @e[limit=1,sort=nearest,tag=ladder,distance=..1] run summon interaction ~0.5 ~ ~0.5 {Tags:["ladder"]}
execute as @a[nbt={SelectedItem:{id:"minecraft:ladder"}}] at @s anchored eyes positioned ^ ^ ^4 align xyz if block ~ ~ ~ ladder if block ~ ~-1 ~ air unless entity @e[limit=1,sort=nearest,tag=ladder,distance=..1] run summon interaction ~0.5 ~ ~0.5 {Tags:["ladder"]}
execute as @a[nbt={SelectedItem:{id:"minecraft:ladder"}}] at @s anchored eyes positioned ^ ^ ^5 align xyz if block ~ ~ ~ ladder if block ~ ~-1 ~ air unless entity @e[limit=1,sort=nearest,tag=ladder,distance=..1] run summon interaction ~0.5 ~ ~0.5 {Tags:["ladder"]}

execute as @e[tag=ladder] at @s run function vu:ladder

#mossy blocks

execute as @e[tag=mossy.shears] at @s if data entity @s interaction run function vu:mossy_blocks/shears
execute as @e[tag=mossy.vine] at @s if data entity @s interaction run function vu:mossy_blocks/vines

#wet sponge

execute as @e[tag=wet.sponge] at @s if data entity @s interaction run function vu:sponge

#items

execute as @e[type=item] store result score @s items.glowing run data get entity @s Age
execute as @e[type=item] if score @s items.glowing = glowing.green items.glowing run data merge entity @s {Glowing:1b}
execute as @e[type=item] if score @s items.glowing = glowing.green items.glowing run team join item.glowing.green @s
execute as @e[type=item] if score @s items.glowing = glowing.yellow items.glowing run team join item.glowing.yellow @s
execute as @e[type=item] if score @s items.glowing = glowing.red items.glowing run team join item.glowing.red @s

execute as @a if score @s items.glowing.green >= 1 items.glowing run scoreboard players operation glowing.green items.glowing = @s items.glowing.green
execute as @a if score @s items.glowing.yellow >= 1 items.glowing run scoreboard players operation glowing.yellow items.glowing = @s items.glowing.yellow
execute as @a if score @s items.glowing.red >= 1 items.glowing run scoreboard players operation glowing.red items.glowing = @s items.glowing.red

#ender pearls

execute as @a[scores={ender_pearl_crafting=3}] run tellraw @a [{"text": "[","color": "dark_gray"},{"text": "VanillaUtilities","color": "gray"},{"text": "] ","color": "dark_gray"},{"text": "Ender Pearl Crafting Turned ","color": "white"},{"text": "OFF","color": "dark_red","bold": true},{"text": " For ","color": "white"},{"selector":"@s","bold": true,"color": "gray"}]
execute as @a[scores={ender_pearl_crafting=1}] run tellraw @a [{"text": "[","color": "dark_gray"},{"text": "VanillaUtilities","color": "gray"},{"text": "] ","color": "dark_gray"},{"text": "Ender Pearl Crafting Turned ","color": "white"},{"text": "ON","color": "dark_green","bold": true},{"text": " For ","color": "white"},{"selector":"@s","bold": true,"color": "gray"}]

execute as @a[scores={ender_pearl_crafting=1}] run scoreboard players set @s ender_pearl_crafting 2
execute as @a[scores={ender_pearl_crafting=3..}] run scoreboard players set @s ender_pearl_crafting 0

execute as @e[tag=pearl.obsidian] at @s if data entity @s interaction on target if block ~ ~ ~ crying_obsidian if score @s ender_pearl_crafting matches 2 if entity @s[nbt={SelectedItem:{id:"minecraft:slime_block"}}] run loot spawn ~ ~ ~ loot vu:ender_pearls
execute as @e[tag=pearl.obsidian] at @s if data entity @s interaction on target if block ~ ~ ~ crying_obsidian if score @s ender_pearl_crafting matches 2 if entity @s[nbt={SelectedItem:{id:"minecraft:slime_block"}}] run setblock ~ ~ ~ air

execute as @e[tag=pearl.obsidian] at @s if data entity @s interaction on target if score @s ender_pearl_crafting matches 2 if entity @s[nbt={SelectedItem:{id:"minecraft:slime_block"}}] at @s run item modify entity @s weapon.mainhand vu:count-1
execute as @e[tag=pearl.obsidian] at @s if data entity @s interaction run kill @s

#falling blocks

execute as @e[type=minecraft:falling_block] if score chain falling_block_chain_dummy matches 0 at @s align xyz if block ~.5 ~2.5 ~.5 minecraft:chain[axis=y] run function vu:chain/on
execute as @e[type=minecraft:falling_block] at @s align xyz unless block ~.5 ~2.5 ~.5 minecraft:chain[axis=y] run function vu:chain/off

execute as @a[scores={falling_block_chain=1..}] run function vu:falling_block

#bed banners

execute if score blankets inverted_blankets_dummy matches 0 as @e[tag=bed.banner.s] run data merge entity @s {Rotation:[0f,0f]}
execute if score blankets inverted_blankets_dummy matches 0 as @e[tag=bed.banner.n] run data merge entity @s {Rotation:[180f,0f]}
execute if score blankets inverted_blankets_dummy matches 0 as @e[tag=bed.banner.e] run data merge entity @s {Rotation:[-90f,0f]}
execute if score blankets inverted_blankets_dummy matches 0 as @e[tag=bed.banner.w] run data merge entity @s {Rotation:[90f,0f]}
execute if score blankets inverted_blankets_dummy matches 1 as @e[tag=bed.banner.s] run data merge entity @s {Rotation:[180f,0f]}
execute if score blankets inverted_blankets_dummy matches 1 as @e[tag=bed.banner.n] run data merge entity @s {Rotation:[0f,0f]}
execute if score blankets inverted_blankets_dummy matches 1 as @e[tag=bed.banner.e] run data merge entity @s {Rotation:[90f,0f]}
execute if score blankets inverted_blankets_dummy matches 1 as @e[tag=bed.banner.w] run data merge entity @s {Rotation:[-90f,0f]}
execute if score blankets inverted_blankets_dummy matches 0 as @e[tag=bed.banner] run data merge entity @s {transformation:[1.1990f,0.0000f,0.0000f,0.0000f,0.0000f,0.0080f,-1.0000f,0.0000f,0.0000f,0.89900f,0.0000f,-0.2000f,0.0000f,0.0000f,0.00001f,1.0000f]}
execute if score blankets inverted_blankets_dummy matches 1 as @e[tag=bed.banner] run data merge entity @s {transformation:[1.1990f,0.0000f,0.0000f,0.0000f,0.0000f,0.0080f,-1.0000f,0.0000f,0.0000f,0.89900f,0.0000f,-0.7000f,0.0000f,0.0000f,0.00001f,1.0000f]}


execute as @e[tag=bed.banner.int] at @s align xyz positioned ~.5 ~ ~.5 if data entity @s interaction on target run function vu:banners/add
execute as @e[tag=bed.banner] at @s align xyz positioned ~.5 ~ ~.5 unless block ~ ~ ~ #beds run function vu:banners/remove

execute as @a[scores={inverted_blankets=1..}] run function vu:blankets

#powders

##gunpowder

execute as @e[type=item,nbt={Item:{id:"minecraft:coal_block",Count:1b}}] at @s as @e[type=item,limit=1,sort=nearest,distance=..0.5,nbt={Item:{id:"minecraft:flint",Count:8b}}] if entity @e[type=minecraft:falling_block,nbt={BlockState:{Name:"minecraft:anvil"}},distance=..0.5] run tag @s add gunpowder.crafting
execute as @e[type=item,nbt={Item:{id:"minecraft:coal_block",Count:1b}}] at @s if entity @e[type=item,limit=1,sort=nearest,distance=..0.5,nbt={Item:{id:"minecraft:flint",Count:8b}}] if entity @e[type=minecraft:falling_block,nbt={BlockState:{Name:"minecraft:anvil"}},distance=..0.5] run tag @s add gunpowder.crafting
execute as @e[type=item,nbt={Item:{id:"minecraft:coal_block",Count:1b}}] at @s if entity @e[type=item,limit=1,sort=nearest,distance=..0.5,nbt={Item:{id:"minecraft:flint",Count:8b}}] if entity @e[type=minecraft:falling_block,nbt={BlockState:{Name:"minecraft:anvil"}},distance=..0.5] run loot spawn ~ ~1.1 ~ loot vu:gunpowders
execute as @e[type=item,nbt={Item:{id:"minecraft:coal_block",Count:1b}}] at @s if entity @e[type=item,limit=1,sort=nearest,distance=..0.5,nbt={Item:{id:"minecraft:flint",Count:8b}}] if entity @e[type=minecraft:falling_block,nbt={BlockState:{Name:"minecraft:anvil"}},distance=..0.5] run kill @e[tag=gunpowder.crafting,limit=2,sort=nearest,distance=..0.5]

##glowstone dust

execute as @e[type=item,nbt={Item:{id:"minecraft:glow_berries",Count:8b}}] at @s if entity @e[type=minecraft:falling_block,nbt={BlockState:{Name:"minecraft:anvil"}},distance=..0.5] run loot spawn ~ ~1.1 ~ loot vu:glowstone_dusts
execute as @e[type=item,nbt={Item:{id:"minecraft:glow_berries",Count:8b}}] at @s if entity @e[type=minecraft:falling_block,nbt={BlockState:{Name:"minecraft:anvil"}},distance=..0.5] run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:glow_ink_sac",Count:2b}}] at @s if entity @e[type=minecraft:falling_block,nbt={BlockState:{Name:"minecraft:anvil"}},distance=..0.5] run loot spawn ~ ~1.1 ~ loot vu:glowstone_dusts
execute as @e[type=item,nbt={Item:{id:"minecraft:glow_ink_sac",Count:2b}}] at @s if entity @e[type=minecraft:falling_block,nbt={BlockState:{Name:"minecraft:anvil"}},distance=..0.5] run kill @s

#spawner

execute as @a[tag=!vu.spawner,scores={decorative_spawner_dummy=0}] at @s run data modify storage vu:spawner SpawnerHand set from entity @s SelectedItem.tag.entity

execute as @a[tag=!vu.spawner,scores={decorative_spawner_dummy=0}] at @s anchored eyes positioned ^ ^ ^1 align xyz if block ~ ~ ~ spawner run data modify storage vu:spawner SpawnerType set from block ~ ~ ~ SpawnData.entity.id
execute as @a[tag=!vu.spawner,scores={decorative_spawner_dummy=0}] at @s anchored eyes positioned ^ ^ ^2 align xyz if block ~ ~ ~ spawner run data modify storage vu:spawner SpawnerType set from block ~ ~ ~ SpawnData.entity.id
execute as @a[tag=!vu.spawner,scores={decorative_spawner_dummy=0}] at @s anchored eyes positioned ^ ^ ^3 align xyz if block ~ ~ ~ spawner run data modify storage vu:spawner SpawnerType set from block ~ ~ ~ SpawnData.entity.id
execute as @a[tag=!vu.spawner,scores={decorative_spawner_dummy=0}] at @s anchored eyes positioned ^ ^ ^4 align xyz if block ~ ~ ~ spawner run data modify storage vu:spawner SpawnerType set from block ~ ~ ~ SpawnData.entity.id
execute as @a[tag=!vu.spawner,scores={decorative_spawner_dummy=0}] at @s anchored eyes positioned ^ ^ ^5 align xyz if block ~ ~ ~ spawner run data modify storage vu:spawner SpawnerType set from block ~ ~ ~ SpawnData.entity.id

execute as @a[scores={place_spawner=1..,decorative_spawner_dummy=1}] at @s anchored eyes positioned ^ ^ ^ run function vu:ray/spawner/start_ray.spawner1
execute as @a[scores={place_spawner=1..,decorative_spawner_dummy=0}] at @s anchored eyes positioned ^ ^ ^ run function vu:ray/spawner/start_ray.spawner
execute as @a[scores={place_spawner=1..}] run scoreboard players reset @s place_spawner

execute as @e[type=marker,tag=vu.spawner.broken] at @s unless block ~ ~ ~ spawner run function vu:spawner/brokenspawner

execute as @a[scores={break_spawner=1..}] run function vu:spawner/spawner
execute as @a[scores={decorative_spawner=1..}] run function vu:spawner/decorative_spawner

#cake

execute as @a run data modify storage vu:cake bites set from entity @s SelectedItem.tag.bites
execute as @a unless data entity @s SelectedItem.tag.bites if entity @s[nbt={SelectedItem:{id:"minecraft:cake"}}] run item modify entity @s weapon.mainhand vu:set_bites 

execute as @a[scores={place_cake=1..}] at @s anchored eyes positioned ^ ^ ^ run function vu:ray/start_ray.cake
execute as @a[scores={place_cake=1..}] run scoreboard players reset @s place_cake

#flowers

kill @e[type=interaction,tag=vu.flowers.int,nbt=!{interaction:{}}]
execute as @a[nbt={SelectedItem:{id:"minecraft:bone_meal"}}] at @s anchored eyes positioned ^ ^ ^ run function vu:ray/flowers/start_ray.flowers
execute as @e[type=interaction,tag=vu.flowers.int] at @s if data entity @s interaction run function vu:flowers

#blaze rod

execute as @a[scores={blaze_rod_crafting=3}] run tellraw @a [{"text": "[","color": "dark_gray"},{"text": "VanillaUtilities","color": "gray"},{"text": "] ","color": "dark_gray"},{"text": "Blaze Rod Crafting Turned ","color": "white"},{"text": "OFF","color": "dark_red","bold": true},{"text": " For ","color": "white"},{"selector":"@s","bold": true,"color": "gray"}]
execute as @a[scores={blaze_rod_crafting=1}] run tellraw @a [{"text": "[","color": "dark_gray"},{"text": "VanillaUtilities","color": "gray"},{"text": "] ","color": "dark_gray"},{"text": "Blaze Rod Crafting Turned ","color": "white"},{"text": "ON","color": "dark_green","bold": true},{"text": " For ","color": "white"},{"selector":"@s","bold": true,"color": "gray"}]

execute as @a[scores={blaze_rod_crafting=1}] run scoreboard players set @s blaze_rod_crafting 2
execute as @a[scores={blaze_rod_crafting=3..}] run scoreboard players set @s blaze_rod_crafting 0

execute as @a[scores={blaze_rod_crafting=0}] at @s positioned ~ ~1 ~ run tag @e[type=item,nbt={Item:{id:"minecraft:stick"}},limit=1,sort=nearest,distance=..1] add off

execute as @e[type=item,nbt={Item:{id:"minecraft:stick"}},tag=!off] at @s if block ~ ~ ~ lava store result score @s blazerod.stick.count run data get entity @s Item.Count
execute as @e[type=item,nbt={Item:{id:"minecraft:stick"}},tag=!off] at @s if block ~ ~ ~ lava run data merge entity @s {Invulnerable:1b}
execute as @e[type=item,nbt={Item:{id:"minecraft:stick"}},tag=!off] at @s if block ~ ~ ~ lava run data merge entity @s {Age:0}
execute as @e[type=item,nbt={Item:{id:"minecraft:blaze_rod"}},tag=!off] at @s if block ~ ~ ~ lava run data merge entity @s {Invulnerable:1b}
execute as @e[type=item,nbt={Item:{id:"minecraft:blaze_rod"}},tag=!off] at @s if block ~ ~ ~ lava run data merge entity @s {Age:0}
execute as @e[type=item,nbt={Item:{id:"minecraft:stick"}},tag=!off] at @s if block ~ ~ ~ lava run scoreboard players add @s blazerod.stick 1

execute as @e[type=item,nbt={Item:{id:"minecraft:stick"}},tag=!off] at @s if block ~ ~ ~ lava run scoreboard players operation @s blazerod.stick.count *= 1200 blazerod.stick
execute as @e[type=item,nbt={Item:{id:"minecraft:stick"}},tag=!off] at @s if block ~ ~ ~ lava if score @s blazerod.stick >= @s blazerod.stick.count run data merge entity @s {Item:{id:"minecraft:blaze_rod"}}

#debug

execute as @a[predicate=!vu:sneaking,nbt=!{SelectedItem:{}}] at @s as @e[type=armor_stand,sort=nearest,distance=..4] at @s run kill @e[type=interaction,limit=1,sort=nearest,distance=..0.5]

execute as @e[type=armor_stand] at @s unless entity @a[distance=..4,limit=1,sort=nearest] at @s run kill @e[type=interaction,distance=..0.5]

execute as @e[tag=anvil.int] at @s unless block ~ ~ ~ damaged_anvil run kill @s
execute as @e[tag=anvil.inte] at @s unless block ~ ~ ~ chipped_anvil run kill @s 
execute as @e[tag=anvil.int] at @s unless entity @a[nbt={SelectedItem:{id:"minecraft:iron_block"}},distance=0..5] run kill @s
execute as @e[tag=anvil.inte] at @s unless entity @a[nbt={SelectedItem:{id:"minecraft:iron_block"}},distance=0..5] run kill @s

execute as @e[tag=slime.moss] at @s unless entity @a[nbt={SelectedItem:{id:"minecraft:moss_block"}},distance=0..5] run kill @s
execute as @e[tag=slime.leaves] at @s unless entity @a[predicate=vu:leaves,distance=0..5] run kill @s
execute as @e[tag=concrete] at @s unless entity @a[predicate=vu:concrete,distance=0..5] run kill @s

execute as @e[tag=chicken.feather] at @s unless entity @e[type=chicken,limit=1,sort=nearest,distance=..0.75] run kill @s
execute as @e[tag=chicken.feather] at @s unless entity @a[limit=1,sort=nearest,distance=..5] run kill @s

execute as @e[tag=cow.leather] at @s unless entity @e[type=cow,limit=1,sort=nearest,distance=..0.75] run kill @s
execute as @e[tag=cow.leather] at @s unless entity @a[limit=1,sort=nearest,distance=..5] run kill @s

execute as @e[tag=ladder] at @s unless entity @a[nbt={SelectedItem:{id:"minecraft:ladder"}},distance=0..5] run kill @s

execute as @e[tag=mossy.shears] at @s unless entity @a[nbt={SelectedItem:{id:"minecraft:shears"}},distance=0..5] run kill @s
execute as @e[tag=mossy.vine] at @s unless entity @a[nbt={SelectedItem:{id:"minecraft:vine"}},distance=0..5] run kill @s
execute as @e[tag=mossy.shears] at @s unless entity @a[predicate=vu:sneaking,distance=0..5] run kill @s
execute as @e[tag=mossy.vine] at @s unless entity @a[predicate=vu:sneaking,distance=0..5] run kill @s

execute as @e[tag=wet.sponge] at @s unless entity @a[nbt={SelectedItem:{id:"minecraft:bucket"}},distance=0..5] run kill @s

execute as @e[tag=pearl.obsidian] at @s unless entity @a[nbt={SelectedItem:{id:"minecraft:slime_block"}},distance=0..5] run kill @s

execute as @e[tag=bed.banner.int] at @s unless block ~ ~ ~ #beds run kill @s
execute as @e[tag=bed.banner.int] at @s unless entity @a[predicate=vu:banners,distance=0..5] run kill @s

scoreboard players add @a blaze_rod_crafting 0
scoreboard players add @a ender_pearl_crafting 0
scoreboard players add @a slime_ball_crafting 0
scoreboard players add @a falling_block_chain 0
scoreboard players add @a break_spawner 0
scoreboard players add @a break_spawner_dummy 0
scoreboard players add @a inverted_blankets 0
scoreboard players add @a inverted_blankets_dummy 0
scoreboard players add @a decorative_spawner 0
scoreboard players add @a decorative_spawner_dummy 0
scoreboard players add @a low_loot 0
scoreboard players add @a low_loot_dummy 0

scoreboard players enable @a items.glowing.green
scoreboard players enable @a items.glowing.yellow
scoreboard players enable @a items.glowing.red
scoreboard players enable @a blaze_rod_crafting
scoreboard players enable @a ender_pearl_crafting
scoreboard players enable @a slime_ball_crafting
scoreboard players enable @a falling_block_chain
scoreboard players enable @a break_spawner
scoreboard players enable @a inverted_blankets
scoreboard players enable @a decorative_spawner
scoreboard players enable @a low_loot